javax.media.nativewindow

## Interface CapabilitiesImmutable

- All Superinterfaces:
    Comparable<CapabilitiesImmutable>, VisualIDHolder, WriteCloneable
  All Known Subinterfaces:
    GLCapabilitiesImmutable
  All Known Implementing Classes:
    Capabilities, GLCapabilities

      public interface CapabilitiesImmutable
      extends VisualIDHolder, WriteCloneable, Comparable<CapabilitiesImmutable>

  Specifies an immutable set of capabilities that a window's rendering context must support, such as color depth per channel.
  See Also:
    `Capabilities`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.VisualIDHolder

      `VisualIDHolder.VIDComparator, VisualIDHolder.VIDType`

  - ### Field Summary

    - ### Fields inherited from interface javax.media.nativewindow.VisualIDHolder

      `VID_UNDEFINED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality over the immutable attributes of both objects
    `int` | `getAlphaBits()` Returns the number of bits for the color buffer's alpha component.
    `int` | `getBlueBits()` Returns the number of bits for the color buffer's blue component.
    `int` | `getGreenBits()` Returns the number of bits for the color buffer's green component.
    `int` | `getRedBits()` Returns the number of bits for the color buffer's red component.
    `int` | `getTransparentAlphaValue()` Gets the transparent alpha value for the frame buffer configuration.
    `int` | `getTransparentBlueValue()` Gets the transparent blue value for the frame buffer configuration.
    `int` | `getTransparentGreenValue()` Gets the transparent green value for the frame buffer configuration.
    `int` | `getTransparentRedValue()` Gets the transparent red value for the frame buffer configuration.
    `int` | `hashCode()` hash code over the immutable attributes of both objects
    `boolean` | `isBackgroundOpaque()` Returns whether an opaque or translucent surface is requested, supported or chosen.
    `boolean` | `isBitmap()` Returns whether bitmap offscreen mode is requested, available or chosen.
    `boolean` | `isOnscreen()` Returns whether an on- or offscreen surface is requested, available or chosen.
    `String` | `toString()` Returns a textual representation of this object.
    `StringBuilder` | `toString(StringBuilder sink)` Return a textual representation of this object.

    - ### Methods inherited from interface javax.media.nativewindow.VisualIDHolder

      `getVisualID`

    - ### Methods inherited from interface com.jogamp.common.type.WriteCloneable

      `cloneMutable`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getRedBits

          int getRedBits()

      Returns the number of bits for the color buffer's red component. On some systems only the color depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getGreenBits

          int getGreenBits()

      Returns the number of bits for the color buffer's green component. On some systems only the color depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getBlueBits

          int getBlueBits()

      Returns the number of bits for the color buffer's blue component. On some systems only the color depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getAlphaBits

          int getAlphaBits()

      Returns the number of bits for the color buffer's alpha component. On some systems only the color depth, which is the sum of the red, green, and blue bits, is considered.

    - #### isBackgroundOpaque

          boolean isBackgroundOpaque()

      Returns whether an opaque or translucent surface is requested, supported or chosen.

      Default is true, i.e. opaque.

    - #### isOnscreen

          boolean isOnscreen()

      Returns whether an on- or offscreen surface is requested, available or chosen.

      Default is true, i.e. onscreen.

      Mind that an capabilities intance w/ available semantics may show onscreen, but also the offscreen modes FBO, Pbuffer or `bitmap`. This is valid, since one native configuration maybe used for either functionality.

    - #### isBitmap

          boolean isBitmap()

      Returns whether bitmap offscreen mode is requested, available or chosen.

      Default is false.

      For chosen capabilities, only the selected offscreen surface is set to `true`.

    - #### getTransparentRedValue

          int getTransparentRedValue()

      Gets the transparent red value for the frame buffer configuration. This value is undefined if; equals true.

    - #### getTransparentGreenValue

          int getTransparentGreenValue()

      Gets the transparent green value for the frame buffer configuration. This value is undefined if; equals true.

    - #### getTransparentBlueValue

          int getTransparentBlueValue()

      Gets the transparent blue value for the frame buffer configuration. This value is undefined if; equals true.

    - #### getTransparentAlphaValue

          int getTransparentAlphaValue()

      Gets the transparent alpha value for the frame buffer configuration. This value is undefined if; equals true.

    - #### equals

          boolean equals(Object obj)

      Equality over the immutable attributes of both objects
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          int hashCode()

      hash code over the immutable attributes of both objects
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          StringBuilder toString(StringBuilder sink)

      Return a textual representation of this object. Use the given StringBuilder [optional].

    - #### toString

          String toString()

      Returns a textual representation of this object.
      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.